
TypoScript Reference (TSref) - Task # 29472

Status: Closed Priority: Must have
Author: Chris topher Category:
Created: 2011-09-04 Assigned To: Chris topher
Updated: 2011-12-02 Due date:
Subject: Add notes on removal of properties (alttext and special.userdefined)
Description

Two things:

    -  Affects the IMAGE element (around page 96):
When the deprecated property "alttext" was set and "altText" was not, the value of alttext was used for altText. altText is the one

finally used in the website. This no longer works in 4.6. You now must use altText.
Here is the diff.

    -  Affects HMENU special type "userdefined" (around page 101):
I guess "special.userdefined" is meant here?!
If so, add a note, that special.userdefined was removed in TYPO3 4.6.
An HMENU of type "userfunction" should be used instead.
Also check for "userdefined" below. There still are some references to it, e.g. in the table tsref:(cObject).HMENU.(mObj).
Here is the diff.

Related issues:
follows Core - Bug # 23010: Remove deprecated methods with deprecation log fr... Closed 2010-06-27

History
#1 - 2011-11-28 21:57 - Chris topher
- Subject changed from Incorporate changes of #23010 to Add notes on removal of properties (alttext and special.userdefined)

#2 - 2011-11-28 22:12 - Chris topher
- Status changed from New to Resolved
- Assigned To set to Chris topher
- % Done changed from 0 to 100

Applied in r1098.

#3 - 2011-12-02 14:56 - Chris topher
- Status changed from Resolved to Closed
https://review.typo3.org/#patch,sidebyside,1988,7,typo3/sysext/cms/tslib/class.tslib_content.php
https://review.typo3.org/#patch,sidebyside,1988,7,typo3/sysext/cms/tslib/class.tslib_menu.php

